SDL_QueryGPUFence(3)

NAME
SDL_QueryGPUFence - Checks the status of a fence.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_QueryGPUFence(
    SDL_GPUDevice *device,
    SDL_GPUFence *fence);

FUNCTION PARAMETERS

device
    a GPU context.

fence
    a fence.

RETURN VALUE
Returns true if the fence is signaled, false if it is not.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SubmitGPUCommandBufferAndAcquireFence(3)